{ config
, pkgs
, lib
, ...
}:

{
  home-manager.users.steveej = import ../../../home-manager/configuration/text-minimal.txt;

  services.syncthing = {
    enable = true;
    openDefaultPorts = true;
  };

  services.gitlab-runner = {
    enable = true;

    packages = with pkgs; [
      bash
      gitlab-runner
      nix
      gitFull
      git-crypt
    ];

    configFile = let
      nixRunnerToken = "/etc/secrets/gitlab-runner/nix-runner.token";
    in pkgs.writeText "config.toml" ''
        concurrent = 2
        check_interval = 0
        [[runners]]
          name = "nix-runner"
          url = "https://gitlab.com"
          token = "<% sed -z 's/[\n\s]//g' ${nixRunnerToken} %>"
          executor = "shell"
          shell = "bash"
          [runners.cache]
      '';
  };
}
